Skip to main content
GET
/
api
/
military
/
v1
/
list-military-bases
ListMilitaryBases
curl --request GET \
  --url https://api.example.com/api/military/v1/list-military-bases
{
  "bases": [
    {
      "id": "<string>",
      "name": "<string>",
      "latitude": 123,
      "longitude": 123,
      "kind": "<string>",
      "countryIso2": "<string>",
      "type": "<string>",
      "tier": 123,
      "catAirforce": true,
      "catNaval": true,
      "catNuclear": true,
      "catSpace": true,
      "catTraining": true,
      "branch": "<string>",
      "status": "<string>"
    }
  ],
  "clusters": [
    {
      "latitude": 123,
      "longitude": 123,
      "count": 123,
      "dominantType": "<string>",
      "expansionZoom": 123
    }
  ],
  "totalInView": 123,
  "truncated": true
}

Query Parameters

ne_lat
number<double>
ne_lon
number<double>
sw_lat
number<double>
sw_lon
number<double>
zoom
integer<int32>
type
string
kind
string
country
string

Response

Successful response

bases
object[]
clusters
object[]
totalInView
integer<int32>
truncated
boolean